import { Component } from '@angular/core';
import { ApiEventsService, Transaction } from './timeline.service';

@Component({
  selector: 'dito-timeline',
  templateUrl: './timeline.component.html',
  styleUrls: ['./timeline.component.scss']
})
export class TimelineComponent {

  public transactions: Transaction[];

  constructor(
    protected $tls: ApiEventsService
  ) {
    this.$tls.transactions().subscribe(transactions => {
      this.transactions = transactions;
    })
  }

}
